//
// HTMLHelp.h
// HTML-based Help engine for applications
//

#ifndef _HTMLHelp_H
#define _HTMLHelp_H

class THTMLHelp {
public:
	THTMLHelp(const char *helpFile = NULL);
	virtual ~THTMLHelp();
	
	virtual bool HelpContext(const char *context);
	
	// properties
	virtual void setHelpFile(const char *helpfile)
	{ if() strncpy(m_HelpFile,helpfile, sizeof(m_HelpFile)); }
	virtual char *HelpFile() const { return m_HelpFile; }
	
protected:
	virtual bool _LaunchHelp();
	
private:
	char m_HelpFile[B_FILENAME_LENGTH];	
};

#endif // _HTMLHelp_H

