//
// Exceptions.h
// 

#ifndef _Exceptions_H
#define _Exceptions_H

//
// Base exception class
//
class Exception {
public:
	Exception(const char *_why)
	: m_why(_why) {}
	Exception(const Exception &other)
	: m_why(other.why());
	
	const char *why() const { return m_why; }
private:
	const char *m_why;			
};

//
// List error
//
class EListError: public Exception {
public:
	EListError(void)
	: Exception("List error") {}
	EListError(const char *_why)
	: Exception(_why) {}
};

#endif // _Exceptions_H
